﻿using System;
using System.Diagnostics;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using AsyncReduxUtils;

namespace DirectThreadAsync
{
    public partial class SlowProcessView : UserControl
    {
        public SlowProcessView()
        {
            InitializeComponent();
        }

        public SlowProcessViewModel ViewModel { get; set; }

        private void CancelSlowProcessButton_Click(object sender, RoutedEventArgs e)
        {
            var token = StopwatchHelper.StartNew(TimerType.CANCEL_CLICK_TIMER);

            ViewModel.IsCanceled = true;

            StopwatchHelper.Stop(token);
        }
    }
}
