﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using AsyncReduxUtils;

namespace DelegateBasedAsync
{
    // Interaction logic for SlowProcessView.xaml
    public partial class SlowProcessView : UserControl
    {
        public SlowProcessView()
        {
            InitializeComponent();
        }

        public SlowProcessViewModel ViewModel { get; set; }

        private void CancelSlowProcessButton_Click(object sender, RoutedEventArgs e)
        {
            var token = StopwatchHelper.StartNew(TimerType.CANCEL_CLICK_TIMER);

            ViewModel.IsCanceled = true;

            StopwatchHelper.Stop(token);
        }
    }
}
