﻿using System;
using System.Windows;
using System.Windows.Controls;
using AsyncReduxUtils;

namespace TaskBasedAsync
{
    // Interaction logic for SlowProcessView.xaml
    public partial class SlowProcessView : UserControl
    {
        public SlowProcessView()
        {
            InitializeComponent();
        }

        public SlowProcessViewModel ViewModel { get; set; }

        private void CancelSlowProcessButton_Click(object sender, RoutedEventArgs e)
        {
            var token = StopwatchHelper.StartNew(TimerType.CANCEL_CLICK_TIMER);

            ViewModel.CancellationTokenSource.Cancel();

            StopwatchHelper.Stop(token);
        }
    }
}
